<template>
  <v-container
    id="home"
    grid-list-md
    text-xs-center
    fluid
  >
    <v-row
      id="homeSearchTop"
    >
      <v-col
        cols="3"
        lg="3"
        md="3"
        offset-md="2"
        offset-lg="0"
        class="text-left mt-10 pt-6"
      >
        <img
          :src="$t('visuals.logoMovici2')"
          width="250px"
        >
      </v-col>

      <v-col
        cols="6"
        lg="6"
        md="7"
        class="text-center mt-10"
        style="text-align:center"
      >
        <img
          :src="$t('visuals.logoMovici')"
          :width="widthLogo+'px'"
          :height="heightLogo+'px'"
        >
      </v-col>
      <v-col
        cols="3"
        lg="3"
        md="12"
      />
    </v-row>
    <v-row id="topLine">
      <v-col
        id="volcano"
        cols="6"
        :style="'background-image:url(\''+$t('visuals.volcano')+'\');'"
      />
      <v-col
        id="sun-cloud"
        cols="6"
        :style="'background-image:url(\''+$t('visuals.sunCloud')+'\');'"
      />
    </v-row>
    <v-row>
      <div
        id="homeBanner"
      >
        <v-row
          id="search"
          class="mb-5 pb-12"
          justify-lg="center"
          no-gutters
        >
          <v-col
            id="woman"
            cols="3"
            :style="'background-image:url(\''+$t('visuals.woman')+'\');'"
          />
          <v-col
            cols="6"
          >
            <search
              :geo-search-url="geoSearchUrl"
              :geo-complete-results-order="geoCompleteResultsOrder"
              :geo-complete-palette="geoCompletePalette"
              :geo-complete-chip="geoCompleteChip"
              :user="user"
              :regular="regular"
              :punctual-date-optional="punctualDateOptional"
              :full-size="true"
              class-align-search-button="text-left"
              class-align-publish-button="text-right"
              class="font-weight-bold tertiary--text"
            />

            <v-row
              dense
              justify="center"
            >
              <v-col
                align="center"
                cols="12"
              >
                <v-btn
                  rounded
                  color="success"
                  :href="$t('route.relayPoints')"
                  dark
                  class="elevation-0"
                >
                  {{ $t('button.relayPoints') }}
                </v-btn>
              </v-col>
            </v-row>
            <v-row
              dense
              class="font-italic"
              justify="center"
            >
              <v-col
                cols="12"
                lg="12"
                class="primary--text font-italic text-center mt-4"
              >
                <v-row
                  dense
                  class="my-0 py-0"
                >
                  <v-col
                    cols="12"
                    class="text-center tertiary--text"
                  >
                    {{ $t('otherOffers.mobilityOffers') }}<br>
                  </v-col>
                </v-row>
                <v-row
                  justify="center"
                  dense
                  class="my-0 py-0"
                >
                  <v-col
                    cols="5"
                    class="mx-0 px-0 text-right tertiary--text"
                    style="cursor: pointer"
                    :class="{ 'light': textLightAura}" 
                    @mouseover="textLightAura = !textLightAura"
                    @mouseout="textLightAura = !textLightAura"
                  >
                    {{ $t('otherOffers.publicTransport') }}<br>
                    <a
                      :href="$t('otherOffers.ouraRoute')"
                      target="_blank"
                    > 
                      <img
                        width="100px"
                        class="mt-1"
                        :src="$t('otherOffers.logoOura')"
                      >
                    </a>
                  </v-col>
                  <v-col
                    cols="1"
                    class="mx-0 px-0 text-center"
                  >
                    |<br>
                  </v-col>
                  <v-col
                    cols="5"
                    class="mx-0 px-0 text-left tertiary--text"
                    style="cursor: pointer"
                    :class="{ 'light': textLightCitiz}" 
                    @mouseover="textLightCitiz = !textLightCitiz"
                    @mouseout="textLightCitiz = !textLightCitiz"
                  >
                    {{ $t('otherOffers.autoShare') }}<br>
                    <a
                      :href="$t('otherOffers.citizRoute')"
                      target="_blank"
                    > 
                      <img
                        width="100px"
                        class="mt-2"
                        :src="$t('otherOffers.logoCitiz')"
                      >
                    </a>
                  </v-col>
                </v-row>
              </v-col>
            </v-row>
          </v-col>
          <v-col
            id="man"
            cols="3"
            :style="'background-image:url(\''+$t('visuals.man')+'\');'"
          />
        </v-row>
      </div>
    </v-row>
    <v-row
      align="center"
      justify="center"
    >
      <m-features
        :title="$t('title')"
        :subtitle="$t('subtitle')"
        :items="items"
        :background-image-right="$t('visuals.backgroundImageFeatures')"
      />
    </v-row>
    <v-row>
      <phone-display />
    </v-row>

    <v-row align="end">
      <v-col
        cols="5"
        md="12"
        lg="5"
        offset-lg="3"
        offset-md="0"
        class="text-center tertiary--text display-1"
      >
        {{ $t('social.text') }} 

        <a
          :href="$t('social.urlHastag')"
          style="text-decoration:none;"
          class="font-weight-black tertiary--text"
          target="_blank"
        >
          {{ $t('social.hashtag') }}
        </a>
      </v-col>
      <v-col
        cols="4"
        md="12"
        lg="4"
        offset-lg="0"
        offset-md="5"
      >
        <v-img
          :src="$t('visuals.logoMoviciCarpool')"
          width="200px"
          style="text-align:center"
        />
      </v-col>
    </v-row>
    <v-row v-if="consentSocial">
      <m-social-feeds />
    </v-row>
    <v-row>
      <communities-events />
    </v-row>
    <m-dialog
      v-if="isEecAvailable" 
      :eec-instance="eecInstance"
    />
  </v-container>
</template>

<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/Home/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/Home/";
import Search from "@components/carpool/search/Search";
import MFeatures from "@clientComponents/home/Features";
import PhoneDisplay from "@clientComponents/home/PhoneDisplay";
import CommunitiesEvents from "@clientComponents/home/CommunitiesEvents";
import MSocialFeeds from "@components/utilities/social/MSocialFeeds";
import MDialog from "@components/utilities/MDialog";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Search,
    MFeatures,
    PhoneDisplay,
    CommunitiesEvents,
    MSocialFeeds,
    MDialog
  },
  props: {
    geoSearchUrl: {
      type: String,
      default: ""
    },
    user: {
      type: Object,
      default: null
    },
    regular: {
      type: Boolean,
      default: false
    },
    punctualDateOptional: {
      type: Boolean,
      default: false
    },
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    // params to add to the publish and search routes
    params: {
      type: Object,
      default: null
    },
    informativeMessageActive: {
      type: Boolean,
      default: false
    },
    informativeMessageText: {
      type: String,
      default: null
    },
    eecInstance: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      items:this.$t("items"),
      widthDivs: 1490,
      widthLogo:250,
      heightLogo:161,
      textLightAura:true,
      textLightCitiz:true,
    }
  },
  computed: {
    consentSocial(){
      let social = this.$store.getters['up/social'];
      let socialCookies = this.$store.getters['up/socialCookies'];

      if(social){
        if(socialCookies.length > 0){
          if(socialCookies.filter((socialItem) => socialItem == 'LinkedIn').length > 0){
            return true;
          }
          else{
            return false;
          }
        }
        
        return true;
      }

      return social;
    },
    isEecAvailable() {
      return this.eecInstance && this.eecInstance.available;
    }
  }
};
</script>

<style scoped lang="scss">
      
    #home {
        #volcano{
          background-position:bottom left;          
          background-size:contain;
          height:280px;
        }
        #sun-cloud{
          background-position:bottom right;
          background-size:30%;
          width:100%;
      }
      #homeBanner{
      // background-position-y: bottom;
      // background-position-x: center;
      width:100%;
      #woman{
        background-position:top left;          
        background-size:contain;
      }
      #man{
        background-position:top right;    
        background-size:contain;
      }
      #search{
        //padding-top:148px;
      }
      .light{
        opacity: 60%;
      }
      #logo-position {
        z-index: 9;
      }
    }
  }
</style>
